/*
bgr233Palette:
	initialize a false bgr233 color map
  */

#include "rfb.h"

void initBGR233Palette(CARD16 *palette)
{
	if(palette == 0)	return;
	// pallete must have 256*3 entries
	CARD16 *colorEntry = palette;
	for(int i=0 ; i<256 ; i++){
		colorEntry[0] = Swap16IfLE((i&0x7)); // R
		colorEntry[1] = Swap16IfLE(((i>>3)&0x7)); // G
		colorEntry[3] = Swap16IfLE(((i>>6)&0x3)); // B

		colorEntry += 3;
	}
}